<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Список Авторов</title>
</head>

<body>
    {% extends "base_generic.html" %} {% block content %}
    <h1>Список Авторов:</h1>

    {% if p_athrs_lst %}
    <ul>
        {% for aaaa in p_athrs_lst %}
        <li>
            <a href="{{ aaaa.get_absolute_url }}">{{ aaaa.last_name}} {{aaaa.first_name}}</a> ( {{aaaa.date_of_birth}}, - {{aaaa.date_of_death}} )
        </li>
        {% endfor %}
        <hr>
        <div class="btn-group">
            <a href="{% url 'authCrd' %}">
                <button type="button" class="btn btn-sm btn-outline-secondary">Добавить автора</button>
            </a>
        </div>
        <hr>
        <div class="pagination">
            <span class="page-links">
                {% if p_athrs_lst.has_previous %}
                <a href="{{ request.path }}?page={{ p_athrs_lst.previous_page_number }}">Предыдущая</a> {% endif %}
                            <span class="page-current">
                                Page {{ p_athrs_lst.number }} of {{ p_athrs_lst.paginator.num_pages }}.
                            </span> {% if p_athrs_lst.has_next %}
            <a href="{{ request.path }}?page={{ p_athrs_lst.next_page_number }}">Следующая</a> {% endif %}
            </span>
        </div>
    </ul>
    {% else %}
    <p>Здесь пусто, мы никого не знаем</p>
    {% endif %} {% endblock %}
</body>

</html>